
Katello - Bug #23922

RH Subscriptions: center the loading spinner and otherwise adhere to pf best practices

06/13/2018 01:57 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Subscriptions   

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/745
Description

Our spinner on the subscription pages should adhere to patternfly best practices as described here:  

http://www.patternfly.org/pattern-library/communication/loading-state/#design

Fix the spinner so it is centered and includes the word "Loading".

Associated revisions

Revision 94943dad - 06/28/2018 12:53 PM - Walden Raines

Fixes #23922: make spinner adhere to pf.

Make the spinner adhere to patternfly best practices by centering

it and by including the word "Loading". This commit introduces a

LoadingState component that should be moved to patternfly-react

in the future.

http://projects.theforeman.org/issues/23922

History

#1 - 06/14/2018 03:14 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7451 added

#2 - 06/18/2018 08:59 PM - Walden Raines

- Target version deleted (253)

#3 - 06/28/2018 01:01 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|94943dad0dde2e6a6cc1c64791ebeb756902fb90.
